Index: trunk/hal/tsar_mips32/core/hal_exception.c
===================================================================
--- trunk/hal/tsar_mips32/core/hal_exception.c	(revision 437)
+++ trunk/hal/tsar_mips32/core/hal_exception.c	(revision 438)
@@ -201,7 +201,7 @@
     }
 
-#if CONFIG_DEBUG_HAL_EXCEPTIONS
+#if DEBUG_HAL_EXCEPTIONS
 uint32_t cycle = (uint32_t)hal_get_cycles();
-if( CONFIG_DEBUG_HAL_EXCEPTIONS < cycle )
+if( DEBUG_HAL_EXCEPTIONS < cycle )
 printk("\n[DBG] %s : thread %x enter / is_ins %d / %s / vaddr %x / cycle %d\n",
 __FUNCTION__, this, is_ins, hal_mmu_exception_str(excp_code), bad_vaddr, cycle );
@@ -229,7 +229,7 @@
             {
 
-#if CONFIG_DEBUG_HAL_EXCEPTIONS
+#if DEBUG_HAL_EXCEPTIONS
 cycle = (uint32_t)hal_get_cycles();
-if( CONFIG_DEBUG_HAL_EXCEPTIONS < cycle )
+if( DEBUG_HAL_EXCEPTIONS < cycle )
 printk("\n[DBG] %s : thread %x exit / page-fault handled for vaddr = %x\n",
 __FUNCTION__ , this , bad_vaddr );
@@ -268,7 +268,7 @@
                 {
 
-#if CONFIG_DEBUG_HAL_EXCEPTIONS
+#if DEBUG_HAL_EXCEPTIONS
 cycle = (uint32_t)hal_get_cycles();
-if( CONFIG_DEBUG_HAL_EXCEPTIONS < cycle )
+if( DEBUG_HAL_EXCEPTIONS < cycle )
 printk("\n[DBG] %s : thread %x exit / copy-on-write handled for vaddr = %x\n",
 __FUNCTION__ , this , bad_vaddr );
@@ -390,7 +390,7 @@
     excPC          = uzone[UZ_EPC];
 
-#if CONFIG_DEBUG_HAL_EXCEPTIONS
+#if DEBUG_HAL_EXCEPTIONS
 uint32_t cycle = (uint32_t)hal_get_cycles();
-if( CONFIG_DEBUG_HAL_EXCEPTIONS < cycle )
+if( DEBUG_HAL_EXCEPTIONS < cycle )
 printk("\n[DBG] %s : thread %x enter / core[%x,%d] / pid %x / epc %x / xcode %x / cycle %d\n",
 __FUNCTION__, this, local_cxy, this->core->lid, this->process->pid, excPC, excCode, cycle );
@@ -450,7 +450,7 @@
     }
 
-#if CONFIG_DEBUG_HAL_EXCEPTIONS
+#if DEBUG_HAL_EXCEPTIONS
 cycle = (uint32_t)hal_get_cycles();
-if( CONFIG_DEBUG_HAL_EXCEPTIONS < cycle )
+if( DEBUG_HAL_EXCEPTIONS < cycle )
 printk("\n[DBG] %s : thread %x exit / core[%x,%d] / pid %x / epc %x / xcode %x / cycle %d\n",
 __FUNCTION__, this, local_cxy, this->core->lid, this->process->pid, excPC, excCode, cycle );
Index: trunk/hal/tsar_mips32/core/hal_gpt.c
===================================================================
--- trunk/hal/tsar_mips32/core/hal_gpt.c	(revision 437)
+++ trunk/hal/tsar_mips32/core/hal_gpt.c	(revision 438)
@@ -132,7 +132,7 @@
     xptr_t     page_xp;
 
-#if CONFIG_DEBUG_GPT_ACCESS
+#if DEBUG_GPT_ACCESS
 uint32_t cycle = (uint32_t)hal_get_cycles;
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x enter / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, cycle );
@@ -161,7 +161,7 @@
 	gpt->ppn  = ppm_page2ppn( page_xp );
 
-#if CONFIG_DEBUG_GPT_ACCESS
+#if DEBUG_GPT_ACCESS
 cycle = (uint32_t)hal_get_cycles;
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x exit / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, cycle );
@@ -340,7 +340,7 @@
     uint32_t            tsar_attr;           // PTE attributes for TSAR MMU
 
-#if CONFIG_DEBUG_GPT_ACCESS
+#if DEBUG_GPT_ACCESS
 uint32_t cycle = (uint32_t)hal_get_cycles;
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x enter / vpn %x / attr %x / ppn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, attr, ppn, cycle );
@@ -357,6 +357,6 @@
     tsar_attr = gpt2tsar( attr );
 
-#if (CONFIG_DEBUG_GPT_ACCESS & 1)
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+#if (DEBUG_GPT_ACCESS & 1)
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x / vpn %x / &pt1 %x / tsar_attr %x\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pt1, tsar_attr );
@@ -392,6 +392,6 @@
         pte1 = *pte1_ptr;
         
-#if (CONFIG_DEBUG_GPT_ACCESS & 1)
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+#if (DEBUG_GPT_ACCESS & 1)
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x / vpn %x / current_pte1 %x\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pte1 );
@@ -437,6 +437,6 @@
 	    pt2     = (uint32_t *)GET_PTR( ppm_ppn2base( pt2_ppn ) );
 
-#if (CONFIG_DEBUG_GPT_ACCESS & 1)
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+#if (DEBUG_GPT_ACCESS & 1)
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x / vpn %x / pte1 %x / &pt2 %x\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pte1, pt2 );
@@ -452,7 +452,7 @@
 	hal_fence();
 
-#if CONFIG_DEBUG_GPT_ACCESS
+#if DEBUG_GPT_ACCESS
 cycle = (uint32_t)hal_get_cycles;
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x exit / vpn %x / pte2_attr %x / pte2_ppn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pt2[2 * ix2], pt2[2 * ix2 + 1], cycle );
@@ -762,7 +762,7 @@
     ppn_t        dst_pt2_ppn;
 
-#if CONFIG_DEBUG_GPT_ACCESS
+#if DEBUG_GPT_ACCESS
 uint32_t cycle = (uint32_t)hal_get_cycles;
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x enter / vpn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, cycle );
@@ -853,7 +853,7 @@
             *ppn    = src_pte2_ppn;
         
-#if CONFIG_DEBUG_GPT_ACCESS
+#if DEBUG_GPT_ACCESS
 cycle = (uint32_t)hal_get_cycles;
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x exit / copy done for vpn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, cycle );
@@ -870,7 +870,7 @@
     *ppn    = 0;
    
-#if CONFIG_DEBUG_GPT_ACCESS
+#if DEBUG_GPT_ACCESS
 cycle = (uint32_t)hal_get_cycles;
-if( CONFIG_DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x exit / nothing done for vpn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, cycle );
Index: trunk/hal/tsar_mips32/core/hal_kentry.S
===================================================================
--- trunk/hal/tsar_mips32/core/hal_kentry.S	(revision 437)
+++ trunk/hal/tsar_mips32/core/hal_kentry.S	(revision 438)
@@ -200,6 +200,6 @@
 	mtc0	$3,	    $12			        # set new c0_sr 
 
-#--------------------------
-#if CONFIG_DEBUG_HAL_KENTRY 
+#--------------------
+#if DEBUG_HAL_KENTRY 
 
     # display "enter" message
@@ -349,6 +349,6 @@
     sw      $5,    8($4)                # current uzone pointer <= previous
 
-#--------------------------
-#if CONFIG_DEBUG_HAL_KENTRY
+#-------------------
+#if DEBUG_HAL_KENTRY
 
     # display "exit" message
